del *.log
del *.bak
del *.sl4
del *.gs?
del *.har

REM make aggsupp.har file for input to AggHAR, and Aggsets.har
tablo -pgs prepare
if errorlevel 1 goto error
gemsim -cmf prepare.cmf
if errorlevel 1 goto error

REM Run AggHAR to make aggmod.har
del aggmod.har
AggHAR inputs\premod.har aggmod.har aggsupp.har -p >agghar.log
if errorlevel 1 goto error

REM run test simulation with aggregated files
term -cmf term.cmf >nul:
if errorlevel 1 goto error

md outputs
copy aggsets.har outputs
copy aggmod.har outputs

 
dir/od *.sl4
dir/od *.har
echo BATCH JOB SUCCESSFUL
exit/b

:error
echo off
echo ###### ERROR: BATCH JOB FAILED #####
echo Check log file; most recent is listed last
dir/od *.log
:endbat

